KNetwork Namespace Reference

## Classes

class | KActiveSocketBase
class | KBufferedSocket
class | KClientSocketBase
class | KDatagramPacket
class | KDatagramSocket
class | KHttpProxySocketDevice
class | KInetSocketAddress
class | KIpAddress
class | KMulticastSocket
class | KMulticastSocketImpl
class | KNetworkInterface
class | KPassiveSocketBase
class | KResolver
class | KResolverEntry
class | KResolverResults
class | KReverseResolver
class | KServerSocket
class | KSocketAddress
class | KSocketBase
class | KSocketDevice
class | KSocketDeviceFactory
class | KSocksSocketDevice
class | KStreamSocket
class | KUnixSocketAddress

## Detailed Description

A namespace to store all networking-related (socket) classes.

KDE Home | KDE Accessibility Home | Description of Access Keys